# List

Launch stage: GA

`GET /api/2.0/apps`

Lists all apps in the workspace.

API scopes: apps

## Query parameters

- `page_token` (string, optional)
  Pagination token to go to the next page of apps. Requests first page if absent.
- `page_size` (int32, optional)
  Upper bound for items returned.

## Returns

Returns a list of App objects.

## Response

```json
{
  "apps": [
    {
      "name": "my-custom-app",
      "description": "My app description.",
      "compute_status": {},
      "app_status": {},
      "url": "my-custom-app-123.cloud.databricksapps.com",
      "active_deployment": {},
      "create_time": "string",
      "creator": "user@test.com",
      "update_time": "string",
      "updater": "user@test.com",
      "pending_deployment": {},
      "resources": [
        {}
      ],
      "service_principal_id": 0,
      "service_principal_name": "string",
      "default_source_code_path": "/Workspace/user@test.com/my_custom_app",
      "default_git_source": {},
      "budget_policy_id": "string",
      "effective_budget_policy_id": "string",
      "service_principal_client_id": "string",
      "user_api_scopes": [
        "string"
      ],
      "id": "string",
      "effective_user_api_scopes": [
        "string"
      ],
      "oauth2_app_integration_id": "string",
      "oauth2_app_client_id": "string",
      "compute_size": "string",
      "usage_policy_id": "string",
      "effective_usage_policy_id": "string",
      "git_repository": {},
      "telemetry_export_destinations": [
        {}
      ],
      "thumbnail_url": "/ajax-api/2.0/thumbnails/raw/apps/{id}/SMALL_DEFAULT.png",
      "source_code_path": "/Workspace/user@test.com/my_custom_app",
      "git_source": {}
    }
  ],
  "next_page_token": "string"
}
```

